<div class="nnr-wrap">

	<?php require_once('header.php'); ?>

	<div class="nnr-container">

	    <ul id="myTab" class="nav nav-tabs" role="tablist">
			<li role="presentation" class="active"><a href="#wpsite_limit_tags" role="tab" data-toggle="tab"><?php _e('Tag Universe', self::$text_domain); ?></a></li>
			<li role="presentation"><a href="#wpsite_limit_tags_settings" role="tab" data-toggle="tab"><?php _e('Tag Settings', self::$text_domain); ?></a></li>
			<li role="presentation"><a href="#wpsite_limit_tags_updates" role="tab" data-toggle="tab"><?php _e('Updates', self::$text_domain); ?></a></li>
		</ul>

		<!-- Tab panes -->
		<div class="tab-content">

			<div role="tabpanel" class="tab-pane active" id="wpsite_limit_tags">

				<!-- Add Tag -->

				<div class="form-inline" style="padding: 15px;">
					<div class="form-group">
						<label class="control-label" for="wpsite_limit_tags_add"><?php _e('Add Tag:', self::$text_domain); ?></label>
						<input type="text" class="form-control" id="wpsite_limit_tags_add" name="wpsite_limit_tags_add" value="">
					</div>
				</div>

				<div class="panel panel-default tagchecklist">
					<div class="panel-heading"><h1 class="panel-title"><?php _e('Tag Universe', self::$text_domain); ?></h1></div>
					<div class="panel-body">
						<?php foreach ($settings['tags'] as $tag => $val) { ?>
							<span class="wpsite_limit_tag_li" id="wpsite_limit_tag_li_<?php echo $tag; ?>"> <a name="delete" id="<?php echo $tag; ?>" class="wpsite_limit_tags_delete ntdelbutton">X</a> <?php _e($tag, self::$text_domain); ?></span>
						<?php } ?>
					</div>
					<div class="panel-footer"><em class="help-block"><?php _e('Enter the tags you wish to allow in the Tag Universe.  You can remove tags by simply clicking on the "x" on the right of the tag. NOTE: The Tag Universe applies to prospective posts (not retroactively). Existing posts will not be limimted to the tag universe.', self::$text_domain); ?></em></div>
				</div>

				<script type="text/javascript">
					jQuery(document).ready(function($){

						var wps_lt_prefix = '<?php echo self::$prefix_dash; ?>';

						/**
						 * Add a tag to the database using AJAX
						 *
						 * @access public
						 * @return void
						 */
						function wpsite_limit_tags_save_data() {
							var data = {
								action: 'wpsite_add_tag',
								php_self: "<?php echo $_SERVER['PHP_SELF']; ?>",
								wpsite_add_tag: $('#wpsite_limit_tags_add').val(),
								wpsite_limit_tags_settings_num_allowed: $('#wpsite_limit_tags_settings_num_allowed').val(),
								wpsite_limit_tags_settings_max_display_tags: $('#wpsite_limit_tags_settings_max_display_tags').val(),
								<?php foreach ($wp_roles->role_names as $role_name => $role) { ?>
								wpsite_limit_tags_settings_meta_box_<?php echo $role_name; ?>: $('#wpsite_limit_tags_settings_meta_box_<?php echo $role_name; ?>') .prop("checked"),
								<?php } ?>
								wpsite_limit_tags_settings_cloud_num_displayed: $('#wpsite_limit_tags_settings_cloud_num_displayed').val(),
								wpsite_limit_tags_settings_cloud_largest_font: $('#wpsite_limit_tags_settings_cloud_largest_font').val(),
								wpsite_limit_tags_settings_cloud_smallest_font: $('#wpsite_limit_tags_settings_cloud_smallest_font').val()
							};

							// since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
							$.post(ajaxurl, data, function(response) {
								$(".tagchecklist").find('.panel-body').append(response);
							});

							$('#wpsite_limit_tags_add').val('');
						}

						/**
						 * Delete a tag from the database using AJAX
						 *
						 * @access public
						 * @param mixed tag
						 * @return void
						 */
						function wpsite_limit_tags_delete_tag(tag) {
							var data = {
								action: 'wpsite_delete_tag',
								wpsite_delete_tag: tag
							};

							// since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
							$.post(ajaxurl, data, function(response) {
								$("#wpsite_limit_tag_li_" + response).remove();
							});
						}

						$("#submit").click(function(e){
							wpsite_limit_tags_save_data();

							if ($('#wpsite_plugin_settings').find('.wpsite-limit-tags-alert').length == 0) {
								$("#wpsite_plugin_settings").prepend('<div class="wpsite-limit-tags-alert alert alert-success alert-dismissible" role="alert"><button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button><?php _e('Settings have been saved.', self::$text_domain); ?></div>');
							}

						});

						// Define the variables

						var wps_lt_activate_text = '<?php _e('Activate', self::$text_domain); ?>';
						var wps_lt_deactivate_text = '<?php _e('Deactivate', self::$text_domain); ?>';

						var license_activate_button = '<span class="btn btn-primary ' +
							wps_lt_prefix + 'activate-license">' +
							wps_lt_activate_text + '</span>';

						var license_deactivate_button = '<span class="btn btn-default ' +
							wps_lt_prefix + 'deactivate-license">' +
							wps_lt_deactivate_text + '</span>';

						var wps_lt_no_license_key = '<?php echo (__('Please add or activate your License Key to get automatic updates.  Without a valid license key you will not receive regular updates. You can find your license key', self::$text_domain) . ' <a href="https://99robots.com/dashboard" target="_blank">here</a>'); ?>';
						var wps_lt_expired = '<?php echo (__('EXPIRED: This license key has expired.  Please renew your license key', self::$text_domain) . ' <a href="https://99robots.com/dashboard" target="_blank">here</a>'); ?>';
						var wps_lt_activation_valid = '<?php _e('SUCCESS: Your license key is valid.', self::$text_domain); ?>';
						var wps_lt_activation_error = '<?php echo (__('INVALID LICENSE KEY: The license key is not valid please try again. You can find your license key', self::$text_domain) . ' <a href="https://99robots.com/dashboard" target="_blank">here</a>.'); ?>';

						var wps_lt_deactivation_valid = '<?php _e('SUCCESS: This site has been deactivated.', self::$text_domain) ; ?>';
						var wps_lt_deactivation_error = '<?php _e('DEACTIVATION FAILED: This site could not be deactivated.', self::$text_domain); ?>';

						var check = '<span class="fa fa-check form-control-feedback" aria-hidden="true"></span>';
						var error = '<span class="fa fa-times form-control-feedback" aria-hidden="true"></span>';
						var spinner = '<i class="' + wps_lt_prefix + 'license-key-status fa fa-spinner fa-spin form-control-feedback"></i>';

						// Check license key

						if ( $('.' + wps_lt_prefix + 'license-key').val() != '' ) {

							$('.' + wps_lt_prefix + 'license-key').parent().append(spinner);

							var data = {
								'action': 'wps_lt_license_action',
								'license_action': 'check_license',
								'license_key': $('.' + wps_lt_prefix + 'license-key').val(),
							};

							$.post(ajaxurl, data, function(response) {

								$('.' + wps_lt_prefix + 'license-key').parent().parent().find('.fa').remove();
								$('.' + wps_lt_prefix + 'license-key-feedback').removeClass('has-success');
								$('.' + wps_lt_prefix + 'license-key-feedback').removeClass('has-error');

								if ( response == 'valid' ) {

									$('.' + wps_lt_prefix + 'license-key').addClass(wps_lt_prefix + 'license-key-valid');
									$('.' + wps_lt_prefix + 'license-key').parent().append(check);
									$('.' + wps_lt_prefix + 'license-key-feedback').addClass('has-success');

									$('.' + wps_lt_prefix + 'license-key').parent().parent().append(license_deactivate_button);
									$('.' + wps_lt_prefix + 'license-key').parent().parent().append('<em class="help-block ' + wps_lt_prefix + 'activation-message">' + wps_lt_activation_valid + '</em>');

								} else if ( response == 'expired' ) {

									$('.' + wps_lt_prefix + 'license-key').addClass(wps_lt_prefix + 'license-key-valid');
									$('.' + wps_lt_prefix + 'license-key').parent().append(error);
									$('.' + wps_lt_prefix + 'license-key-feedback').addClass('has-error');

									$('.' + wps_lt_prefix + 'license-key').parent().parent().append(license_activate_button);
									$('.' + wps_lt_prefix + 'license-key').parent().parent().append('<em class="help-block ' + wps_lt_prefix + 'activation-message">' + wps_lt_expired + '</em>');

								} else {

									$('.' + wps_lt_prefix + 'license-key').addClass(wps_lt_prefix + 'license-key-valid');
									$('.' + wps_lt_prefix + 'license-key').parent().append(error);
									$('.' + wps_lt_prefix + 'license-key-feedback').addClass('has-error');

									$('.' + wps_lt_prefix + 'license-key').parent().parent().append(license_activate_button);
									$('.' + wps_lt_prefix + 'license-key').parent().parent().append('<em class="help-block ' + wps_lt_prefix + 'activation-message">' + wps_lt_activation_error + '</em>');

								}

								console.log(response);
							});
						} else {
							$('.' + wps_lt_prefix + 'license-key').addClass(wps_lt_prefix + 'license-key-valid');
							$('.' + wps_lt_prefix + 'license-key').parent().append(error);
							$('.' + wps_lt_prefix + 'license-key-feedback').addClass('has-error');

							$('.' + wps_lt_prefix + 'license-key').parent().parent().append(license_activate_button);
							$('.' + wps_lt_prefix + 'license-key').parent().parent().append('<em class="help-block ' + wps_lt_prefix + 'activation-message">' + wps_lt_no_license_key + '</em>');
						}

						// Activate License

						$(document).on('click', '.' + wps_lt_prefix + 'activate-license', function(){

							$('.' + wps_lt_prefix + 'activation-message').remove();
							$('.' + wps_lt_prefix + 'license-key').parent().parent().find('.fa').remove();
							$('.' + wps_lt_prefix + 'license-key').parent().append(spinner);
							$('.' + wps_lt_prefix + 'activate-license').remove();
							$('.' + wps_lt_prefix + 'deactivate-license').remove();
							$('.' + wps_lt_prefix + 'license-key-feedback').removeClass('has-success');
							$('.' + wps_lt_prefix + 'license-key-feedback').removeClass('has-error');

							var data = {
								'action': 'wps_lt_license_action',
								'license_action': 'activate_license',
								'license_key': $('.' + wps_lt_prefix + 'license-key').val(),
							};

							$.post(ajaxurl, data, function(response) {

								$('.' + wps_lt_prefix + 'license-key').parent().parent().find('.fa').remove();

								if ( response == 'valid' ) {

									$('.alert').remove();

									$('.' + wps_lt_prefix + 'license-key').addClass(wps_lt_prefix + 'license-key-valid');
									$('.' + wps_lt_prefix + 'license-key').parent().append(check);
									$('.' + wps_lt_prefix + 'license-key-feedback').addClass('has-success');

									$('.' + wps_lt_prefix + 'license-key').parent().parent().append(license_deactivate_button);
									$('.' + wps_lt_prefix + 'license-key').parent().parent().append('<em class="help-block ' + wps_lt_prefix + 'activation-message">' + wps_lt_activation_valid + '</em>');

								} else {

									$('.' + wps_lt_prefix + 'license-key').addClass(wps_lt_prefix + 'license-key-valid');
									$('.' + wps_lt_prefix + 'license-key').parent().append(error);
									$('.' + wps_lt_prefix + 'license-key-feedback').addClass('has-error');

									$('.' + wps_lt_prefix + 'license-key').parent().parent().append(license_activate_button);
									$('.' + wps_lt_prefix + 'license-key').parent().parent().append('<em class="help-block ' + wps_lt_prefix + 'activation-message">' + wps_lt_activation_error + '</em>');

								}

								console.log(response);
							});

						});

						// Deactivate License

						$(document).on('click', '.' + wps_lt_prefix + 'deactivate-license', function(){

							$('.' + wps_lt_prefix + 'activation-message').remove();
							$('.' + wps_lt_prefix + 'license-key').parent().parent().find('.fa').remove();
							$('.' + wps_lt_prefix + 'license-key').parent().append(spinner);
							$('.' + wps_lt_prefix + 'activate-license').remove();
							$('.' + wps_lt_prefix + 'deactivate-license').remove();
							$('.' + wps_lt_prefix + 'license-key-feedback').removeClass('has-success');
							$('.' + wps_lt_prefix + 'license-key-feedback').removeClass('has-error');

							var data = {
								'action': 'wps_lt_license_action',
								'license_action': 'deactivate_license',
								'license_key': $('.' + wps_lt_prefix + 'license-key').val(),
							};

							$.post(ajaxurl, data, function(response) {

								$('.' + wps_lt_prefix + 'license-key').parent().parent().find('.fa').remove();

								if ( response == 'deactivated' ) {

									$('.' + wps_lt_prefix + 'license-key').val('');
									$('.' + wps_lt_prefix + 'license-key').parent().parent().append(license_activate_button);
									///$('.' + wps_lt_prefix + 'license-key-feedback').addClass('has-success');

									$('.' + wps_lt_prefix + 'license-key').parent().append(check);
									$('.' + wps_lt_prefix + 'license-key').parent().parent().append('<em class="help-block ' + wps_lt_prefix + 'activation-message">' + wps_lt_deactivation_valid + '</em>');

								} else if ( response == 'failed' ) {

									$('.' + wps_lt_prefix + 'license-key').parent().parent().append('<em class="help-block ' + wps_lt_prefix + 'activation-message">' + wps_lt_deactivation_error + '</em>');

								} else {

									$('.' + wps_lt_prefix + 'license-key').parent().parent().append('<em class="help-block ' + wps_lt_prefix + 'activation-message">' + wps_lt_deactivation_error + '</em>');
								}

								console.log(response);
							});

						});

						$('#wpsite_limit_tags_add').keyup(function (e){
						    if(e.keyCode == 13 && $(this).val() != ''){
						    	wpsite_limit_tags_save_data();
						    }
						})

						$(document).on("click",".wpsite_limit_tags_delete",function(){
							wpsite_limit_tags_delete_tag($(this).attr('id'));
					    });

					    // Tabs

					    $('#myTab a').click(function (e) {
							e.preventDefault()
							$(this).tab('show')
						})
					});
				</script>

			</div><!-- wpsite_limit_tags -->

			<div role="tabpanel" class="tab-pane form-horizontal" id="wpsite_limit_tags_settings">
				<br/>

				<!-- General -->

				<div class="panel panel-default">
					<div class="panel-heading">
						<h3 class="panel-title"><?php _e('General', self::$text_domain); ?></h3>
					</div>
					<div class="panel-body">

						<!-- Number of Tags Allowed -->

						<div class="form-group">
							<label for="wpsite_limit_tags_settings_num_allowed" class="col-sm-3 control-label"><?php _e('Max tags per post', self::$text_domain); ?></label>
							<div class="col-sm-9">
								<select id="wpsite_limit_tags_settings_num_allowed" name="wpsite_limit_tags_settings_num_allowed">
								<?php for ($i = 1; $i < 21; $i++) { ?>
									<option value="<?php echo $i; ?>" <?php echo isset($settings['settings']['num_tags']) && $settings['settings']['num_tags'] == $i ? 'selected' : '';?>><?php echo $i; ?></option>
								<?php } ?>
								</select>
								<em class="help-block"><?php _e('The maximum number of tags allowed to be related to a post.', self::$text_domain); ?></em>
							</div>
						</div>

						<!-- Maximum Number of Tags Displayed on Front End -->

						<div class="form-group">
							<label for="wpsite_limit_tags_settings_max_display_tags" class="col-sm-3 control-label"><?php _e('Max tags displayed in post', self::$text_domain); ?></label>
							<div class="col-sm-9">
								<select id="wpsite_limit_tags_settings_max_display_tags" name="wpsite_limit_tags_settings_max_display_tags">
								<?php for ($i = 1; $i < 21; $i++) { ?>
									<option value="<?php echo $i; ?>" <?php echo isset($settings['settings']['max_display_tags']) && $settings['settings']['max_display_tags'] == $i ? 'selected' : '';?>><?php echo $i; ?></option>
								<?php } ?>
								</select>
								<em class="help-block"><?php _e('The maximum number of tags allowed to be displayed below post on live site.', self::$text_domain); ?></em>
							</div>
						</div>

						<!-- Display Default WordPress Tags Panel -->

						<div class="form-group">
							<label for="wpsite_limit_tags_settings_max_display_tags" class="col-sm-3 control-label"><?php _e('Display Default WordPress Tags Panel', self::$text_domain); ?></label>
							<div class="col-sm-9">
								<?php
								foreach ($wp_roles->role_names as $role_name => $role) { ?>

									<div>
										<input type="checkbox" id="wpsite_limit_tags_settings_meta_box_<?php echo $role_name; ?>" name="wpsite_limit_tags_settings_meta_box_<?php echo $role_name; ?>" <?php echo isset($settings['settings']['meta_box'][$role_name]) && $settings['settings']['meta_box'][$role_name] ? 'checked="checked"' : ''; ?>/>
										<label for="wpsite_limit_tags_settings_meta_box_<?php echo $role_name; ?>">
								            <span class="fa-stack fa-lg">
								                <i class="fa fa-square-o fa-stack-1x"></i>
								                <i class="fa fa-check fa-stack-1x"></i>
								            </span>
								        </label>
										<span><?php echo $role; ?></span>
									</div>

								<?php } ?>

								<em class="help-block"><?php _e('Select the users who can see and use the default WordPress Tag Panel.', self::$text_domain); ?></em>
							</div>
						</div>

					</div>
				</div>

				<!-- Wordpress Tag Cloud Widget -->

				<div class="panel panel-default">
					<div class="panel-heading">
						<h3 class="panel-title"><?php _e('Wordpress Tag Cloud Widget', self::$text_domain); ?></h3>
					</div>
					<div class="panel-body">

						<!-- Number of Tags Displayed -->

						<div class="form-group">
							<label for="wpsite_limit_tags_settings_cloud_num_displayed" class="col-sm-3 control-label"><?php _e('Number of Tags Displayed', self::$text_domain); ?></label>
							<div class="col-sm-9">
								<select id="wpsite_limit_tags_settings_cloud_num_displayed" name="wpsite_limit_tags_settings_cloud_num_displayed">
								<?php for ($i = 1; $i < 46; $i++) { ?>
									<option value="<?php echo $i; ?>" <?php echo isset($settings['settings']['cloud_num_displayed']) && $settings['settings']['cloud_num_displayed'] == $i ? 'selected' : '';?>><?php echo $i; ?></option>
								<?php } ?>
								</select>
								<em class="help-block"><?php _e('The maximum number of tags that can be displayed in the Tag Cloud widget.', self::$text_domain); ?></em>
							</div>
						</div>

						<!-- Largest Font -->

						<div class="form-group">
							<label for="wpsite_limit_tags_settings_cloud_largest_font" class="col-sm-3 control-label"><?php _e('Largest Font', self::$text_domain); ?></label>
							<div class="col-sm-9">
								<select id="wpsite_limit_tags_settings_cloud_largest_font" name="wpsite_limit_tags_settings_cloud_largest_font">
								<?php for ($i = 8; $i < 42; $i += 2) { ?>
									<option value="<?php echo $i; ?>" <?php echo isset($settings['settings']['cloud_largest_font']) && $settings['settings']['cloud_largest_font'] == $i ? 'selected' : '';?>><?php echo $i; ?></option>
								<?php } ?>
								</select>
								<em class="help-block"><?php _e('The largest font size that can be displayed in the Tag Cloud widget.', self::$text_domain); ?></em>
							</div>
						</div>

						<!-- Smallest Font -->

						<div class="form-group">
							<label for="wpsite_limit_tags_settings_cloud_smallest_font" class="col-sm-3 control-label"><?php _e('Smallest Font', self::$text_domain); ?></label>
							<div class="col-sm-9">
								<select id="wpsite_limit_tags_settings_cloud_smallest_font" name="wpsite_limit_tags_settings_cloud_smallest_font">
								<?php for ($i = 8; $i < 42; $i += 2) { ?>
									<option value="<?php echo $i; ?>" <?php echo isset($settings['settings']['cloud_smallest_font']) && $settings['settings']['cloud_smallest_font'] == $i ? 'selected' : '';?>><?php echo $i; ?></option>
								<?php } ?>
								</select>
								<em class="help-block"><?php _e('The smallest font size that can be displayed in the Tag Cloud widget.', self::$text_domain); ?></em>
							</div>
						</div>

					</div>
				</div>

				<input type="button" name="submit" id="submit" class="btn btn-primary" value="Save Changes"/>

			</div><!-- wpsite_limit_tags_settings -->

			<div role="tabpanel" class="tab-pane form-horizontal" id="wpsite_limit_tags_updates">

				<h2 id="nnr-heading"><?php _e("Updates", self::$text_domain); ?></h2>

				<div class="form-horizontal">

					<div class="form-group has-feedback <?php echo self::$prefix_dash; ?>license-key-feedback">
						<label class="control-label col-sm-3"><?php _e("License Key", self::$text_domain); ?></label>

						<div class="col-sm-9">
							<div class="col-sm-8" style="padding-left:0px;">
								<input type="text" class="form-control <?php echo self::$prefix_dash; ?>license-key" value="<?php echo $license_key; ?>" placeholder="<?php _e('Enter your License Key', self::$text_domain); ?>"/>
							</div>
						</div>

					</div>

					<!-- Check PHP Version -->

					<?php if ( version_compare(phpversion(), WPSITE_LIMIT_TAGS_MIN_PHP_VERSION) < 1 ) { ?>

						<div class="form-group has-feedback has-error">
							<label class="col-sm-3 control-label"><?php _e("PHP Version Info", self::$text_domain); ?></label>
							<div class="col-sm-9">
								<p class="form-control-static" style="color:#a94442;"><?php _e('The required minimum version of PHP is <strong>v' . WPSITE_LIMIT_TAGS_MIN_PHP_VERSION . '</strong> and your version is <strong>v' . phpversion() . '</strong>. Your version of PHP is outdated and we strongly recommend that you <a href="https://99robots.com/?p=7356" target="_blank">update</a> your version of PHP to at least <strong>v' . WPSITE_LIMIT_TAGS_MIN_PHP_VERSION . '</strong>.', self::$text_domain); ?></p>
							</div>
						</div>

					<?php } else { ?>

						<div class="form-group">
							<label class="col-sm-3 control-label"><?php _e("PHP Version Info", self::$text_domain); ?></label>
							<div class="col-sm-9">
								<p class="form-control-static"><?php _e('The required minimum version of PHP is <strong>v' . WPSITE_LIMIT_TAGS_MIN_PHP_VERSION . '</strong> and your version is <strong>v' . phpversion() . '</strong>. You have a sufficient version of a PHP.', self::$text_domain); ?></p>
							</div>
						</div>

					<?php } ?>

					<!-- Display WordPress and Plguin Version -->

					<div class="form-group">
						<label class="col-sm-3 control-label"><?php _e("Version Info", self::$text_domain); ?></label>
						<div class="col-sm-9">
							<p class="form-control-static"><?php _e("You are currently running " . WPSITE_LIMIT_TAGS_ITEM_NAME . "  <strong>v" . WPSITE_LIMIT_TAGS_VERSION_NUM . "</strong> on WordPress <strong>v" . $wp_version . '</strong>', self::$text_domain); ?></p>
						</div>
					</div>

				</div>

			</div>

		</div>

		<?php wp_nonce_field('wpsite_limit_tags_admin_settings'); ?>

	</div>

	<?php require_once('footer.php'); ?>

</div>